{% extends "ajax/game/game.html.twig" %}
{% block ajax %}
    <div class="row soul">
        <div class="cell padded header rw-10 ro-1 rw-md-12 ro-md-0">
            <div class="row tabs">
                <div class="cell-small rw-8 rw-lg-12">
                    {% if user.avatar %}
                        <div class="avatar small"><img alt="" src="{{ path('app_web_avatar', {'uid': user.id, 'name': user.avatar.smallName, 'ext': user.avatar.format}) }}"></div>
                    {% endif %}
                    <h4 class="soul-name">
                        <img src="{{ asset('build/images/icons/small_ghost_red.gif') }}" alt="{{'Held'|trans({}, 'game')}}" /> {{ user.username }}
                    </h4>
                </div>
                <div class="float-right">
                    <button x-ajax-href='{{returnUrl}}' style="margin-top: 4px;">{{ "Kartei schließen"|trans({}, 'soul') }}</button>
                </div>
            </div>
            <div class="row">
                <div class="cell rw-5 rw-sm-12 distinctions">
                    <div class="distinctions-head center">
                        {{ 'Statistiken'|trans({}, 'global') }}
                    </div>
                    <div class="distinctions-list center">
                        <div class="overall">
                            {{ '%points% Punkte'|trans({'%points%':points}, 'global') }}
                        </div>
                        <div class="top"></div>
                        {% if pictos|length == 0 %}
                        <div class="list empty">
                            {{ 'Dieser Spieler hat bisher noch keine Preise gewonnen...'|trans({}, 'global') }}
                        </div>
                        {% else %}
                        <div class="list">
                            {% for picto in pictos %}
                                <div class="picto{% if picto.rare %} rare{% endif %}">
                                    <img src="{{  asset('build/images/pictos/' ~ picto.icon ~ '.gif') }}" /><br />
                                    <div class="counter">
                                    {% for number in picto.c|split('') %}<span class="count" title="{{number}}">{{number}}</span>{% endfor %}
                                    </div>
                                    <div class="tooltip">
                                    <h1>{{ picto.label|trans({}, 'game') }}</h1>
                                    {{ picto.description|trans({}, 'game')}}</em>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                        {% endif %}
                    </div>
                    <div class="distinctions-foot">
                        &nbsp;
                    </div>
                </div>
                <div class="cell padded rw-7 rw-sm-12">
                    <div class="score"><img src="{{ asset('build/images/soul/small_score.gif') }}" alt="" /> {{ 'Seelenpunktzahl'|trans({}, 'global') }} : <strong>{{ '%points% Punkte'|trans({'%points%': user.soulPoints}, 'global') }}</strong></div>
                    {# @var user \App\Entity\User #}
                    {% for incarnation in user.pastLifes %}
                        {% if incarnation.end is null %}
                            <div class="current">
                                <em>{{'Aktuelles Leben'|trans({}, 'global')}} : </em><br /><strong><img src="{{ asset('build/images/soul/r_explor.gif') }}" alt="" /> {{ incarnation.town.name }}</strong> ({{ 'Tag %day%'|trans({'%day%':incarnation.town.days}, 'game') }})
                            </div>
                        {% endif %}
                    {% endfor %}

                    <div class="town-history">
                        <div class="row header">
                            <div class="cell padded rw-2 center">
                                {{'Saison'|trans({}, 'global')}}
                            </div>
                            <div class="cell padded rw-6 center">
                                {{'Stadt'|trans({}, 'game')}}
                            </div>
                            <div class="cell padded rw-2 center">
                                {{'Tage'|trans({}, 'global')}}
                            </div>
                            <div class="cell padded rw-2 center">
                                {{'Punkte'|trans({}, 'global')}}
                            </div>
                        </div>
                        <div class="town-container" id="town-list">
                            {% for incarnation in user.pastLifes|filter(incarnation => incarnation.end is not null)|sort((a,b) => a.day < b.day)|slice(0, 10) %}
                                <div class="row{% if incarnation.town.type.name == 'panda' %} hardcore{% endif %}">
                                    <div class="cell padded rw-2 center">
                                        {% if incarnation.town.season is null %}
                                            --
                                        {% else %}
                                            {{ incarnation.town.season.number }}
                                        {% endif %}
                                    </div>
                                    <div class="cell padded rw-6 center town-name">
                                        <div x-ajax-href="{{ path('soul_view_town_foreign', {id: user.id, idtown: incarnation.town.id}) }}">{% if incarnation.town.type.name == 'panda' %}<img src="{{ asset('build/images/soul/r_cannib.gif') }}" alt="" /> {% endif %}{{ incarnation.town.name }}</div>
                                        {% if not incarnation.comment is empty %}<div class="comment"><em>{{incarnation.comment}}</em></div>{% endif %}
                                    </div>
                                    <div class="cell padded rw-2 center town-days bold">
                                        {{ incarnation.day }}
                                        {% if incarnation.town.town is not null and incarnation.town.town.hasAliveCitizen %}
                                            <span>
                                                <img alt="*" src="{{asset('build/images/icons/small_new.gif')}}" />
                                                <div class="tooltip">
                                                    {{ 'Es sind in dieser Stadt noch ein paar Bürger übrig...'|trans({}, 'soul') }}
                                                </div>
                                            </span>
                                        {% endif %}
                                    </div>
                                    <div class="cell padded rw-2 center town-points bold">
                                        +{{ incarnation.points }}
                                    </div>
                                </div>
                            {% else %}
                                <div class="row">
                                    <div class="empty">
                                        {{'Es wurde keine Stadt gefunden...'|trans({}, 'global')}}
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                        <div class="row">
                            <div class="cell padded rw-6">
                                <select name="season" id="season">
                                    {% for season in seasons %}
                                        <option value="{{season.id}}">{{season.name}}</option>
                                    {% endfor %}
                                    <option value="-1">{{'Alte Städte'|trans({}, "soul")}}</option>
                                </select>
                            </div>
                            <div class="cell padded rw-6 right">
                                <input type="checkbox" name="limit-10" id="limit-10" checked /> <label for="limit-10" class="small">{{'Nur 10 Städte anzeigen'|trans({}, 'soul')}}</label>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            {% if citizen_id is not null %}
                <div class="row">
                    <div class="padded cell rw-4 rw-md-6 rw-sm-12">
                        <button x-ajax-href="{{ path('town_visit', {'id': citizen_id}) }}"><img alt="" src="{{ asset('build/images/home.gif') }}">{{ 'Haus besuchen'|trans({},'soul') }}</button>
                    </div>
                </div>
            {% endif %}
        </div>

    </div>
{% endblock %}
{% block js %}
    {{parent()}}

    <script>
        let season_select = document.getElementById('season');
        if (season)
            season_select.addEventListener('change', function(e) { $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: user.id}) }}', false, {season: this.value, limit10: document.getElementById("limit-10").checked } ) } );

        let limit_checkbox = document.getElementById('limit-10');
        if (season)
            limit_checkbox.addEventListener('change', function(e) { $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: user.id}) }}', false, {season: document.getElementById('season').value, limit10: this.checked } ) } );
    </script>
{% endblock %}